A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Types | Static Public Member Functions
dtype_traits< half > Struct Reference

`#include <traits.hpp>`

## Public Types
enum | { af_type = f16 , ctype = f16 }
typedef half | base_type

## Static Public Member Functions
static const char * | getName ()

## Detailed Description

Definition at line 169 of file traits.hpp.

## Member Typedef Documentation

## ◆ base_type

typedef half base_type

Definition at line 174 of file traits.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
af_type |
ctype |

Definition at line 170 of file traits.hpp.

170 {
171 af_type = f16 ,
172 ctype = f16
173 };
f16
@ f16
16-bit floating point value
Definition defines.h:228
af::dtype_traits< half >::af_type
@ af_type
Definition traits.hpp:171
af::dtype_traits< half >::ctype
@ ctype
Definition traits.hpp:172

## Member Function Documentation

## ◆ getName()

static const char * getName | ( |  | ) |
| inline static

Definition at line 175 of file traits.hpp.

175{ return "half"; }

The documentation for this struct was generated from the following file:

- traits.hpp